Bug Hunting Session
Bug 105809 - About the Placeware export filter
Summary: About the Placeware export filter
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-06 21:14 UTC by Gabor Kelemen
Modified: 2017-04-11 11:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2017-02-06 21:14:44 UTC
We apparently have an Impress export filter called Placeware: 
https://cgit.freedesktop.org/libreoffice/core/tree/filter/source/placeware

According to Wikipedia this format belongs to a web conferencing product of the same name: https://en.wikipedia.org/wiki/PlaceWare

This was acquired in 2003 by Microsoft, renamed to Microsoft Office Live Meeting, then discontinued:
https://en.wikipedia.org/wiki/Microsoft_Office_Live_Meeting

Maybe it is time to shave off an obsolete feature?
Comment 1 Xisco Faulí 2017-02-07 09:34:48 UTC
Hello Gabor,

Could you please send an email to the dev mailing list in order to have some dev opinions instead?
Moving to NEEDINFO until we have a decision here...
Comment 2 Tomaz Vajngerl 2017-04-06 10:54:23 UTC
I support the removal..

Looking at the code I don't think it exports anything useful anyway. Reducing the export formats in the UI with this removal is a much better "feature".
Comment 3 Commit Notification 2017-04-11 11:40:07 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=036fcf2a4c0b630548a93bb20bd861940ba295f0

tdf#105809: Drop the PlaceWare export filter

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.